/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;

/*******************************************************************************
 *
 * @author  fritz
 * @version $Id$
 *
 ******************************************************************************/
public class APEXShutterFormat extends APEXFormat
  {
    private static final long serialVersionUID = 657657562345876458L;

    private final ShutterFormat shutterFormat = new ShutterFormat();

    public APEXShutterFormat()
      {
        super(0.5, "", "");
      }

    @Override
    @Nonnull
    protected String formatMain (@Nonnegative final double d)
      {
        return shutterFormat.format(d);
      }
  }
