/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;
import javax.annotation.Nonnull;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class DeweyFormat extends Format
  {
    private static final long serialVersionUID = 36765562345876458L;

    @Override
    @Nonnull
    public StringBuffer format (@Nonnull final Object obj,
                                @Nonnull final StringBuffer toAppendTo,
                                @Nonnull final FieldPosition pos)
      {
        final byte[] bytes = (byte[])obj;
        
        for (int i = 0; i < bytes.length; i++)
          {
            if (i > 0)
              {
                toAppendTo.append('.');
              }
            
            toAppendTo.append((char)bytes[i]);
          }
        
        return toAppendTo;
      }

    @Override
    @Nonnull
    public Object parseObject (final String source, final ParsePosition pos) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }  
  }
