/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import java.text.DecimalFormat;
import java.text.FieldPosition;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class PixelCountFormat extends DecimalFormat
  {
    private static final long serialVersionUID = 3458972345876458L;

    private static final double MEGA = 1E6;
    
    @Override
    @Nonnull
    public StringBuffer format (@Nonnegative final long number,
                                @Nonnull final StringBuffer result,
                                @Nonnull final FieldPosition fieldPosition)
      {
        result.append(String.format("%.1f megapixels", number / MEGA));
        return result;
      }
    
    @Override
    @Nonnull
    public Number parse (final String s)
      {
        throw new UnsupportedOperationException();
      }
  }
